#include <sourcemod>
#pragma semicolon 1
#define PLUGIN_VERSION "1.2"

public Plugin:myinfo = {
	name        = "DoD:S Rocket Radius and Damage Modifier",
	author      = "Andersso, Darkranger",
	description = "DoD:S Rocket Radius and Damage Modifier",
	version     = PLUGIN_VERSION,
	url         = "http://www.dodsourceplugins.net"
}

new Handle:r_radius = INVALID_HANDLE;
new Handle:r_damage = INVALID_HANDLE;
new Handle:r_rocketdamage = INVALID_HANDLE;
new Handle:r_rocketradius = INVALID_HANDLE;

public OnPluginStart()
{
	CreateConVar("dods_rocket_damrad_version", PLUGIN_VERSION, "DoD:S Rocket Radius and Damage Modifier", FCVAR_PLUGIN | FCVAR_REPLICATED | FCVAR_NOTIFY);

	r_radius  = CreateConVar("dods_rocket_radius",  "300", "Radius for Rockets. ValveOrig:200 PluginStandard: 300", FCVAR_PLUGIN, true, 200.0, true, 800.0);
	r_damage  = CreateConVar("dods_rocket_damage", "200", "Damage for Rockets. ValveOrig:150 PluginStandard: 200", FCVAR_PLUGIN, true, 100.0, true, 450.0);

	AutoExecConfig(true, "dod_rocket_damrad_config", "dod_rocket_damrad_config");

	new iFlags;

	r_rocketdamage = FindConVar("mp_rocketdamage");

	if (r_rocketdamage != INVALID_HANDLE)
	{
		iFlags = GetConVarFlags(r_rocketdamage);
		iFlags &= ~FCVAR_CHEAT;

		SetConVarFlags(r_rocketdamage, iFlags);
	}
	else
	{
		SetFailState("Fatal Error: Unable to find convar \"mp_rocketdamage\"!");
	}

	r_rocketradius = FindConVar("mp_rocketradius");

	if (r_rocketradius != INVALID_HANDLE)
	{
		iFlags = GetConVarFlags(r_rocketradius);
		iFlags &= ~FCVAR_CHEAT;

		SetConVarFlags(r_rocketradius, iFlags);
	}
	else
	{
		SetFailState("Fatal Error: Unable to find convar \"mp_rocketradius\"!");
	}
}

public OnConfigsExecuted()
{
	SetConVarInt(r_rocketdamage, GetConVarInt(r_radius));
	SetConVarInt(r_rocketradius, GetConVarInt(r_radius));
}

public OnClientPostAdminCheck(iClient)
{
	PrintToChat(iClient, "\x06Current Rocket Settings: \x04Damage: %i Radius: %i", GetConVarInt(r_damage), GetConVarInt(r_radius));
}